// SPDX-License-Identifier: LGPL-3.0-or-later
// See Notices.txt for copyright information
use fayalite::{hdl, int::UInt, ty::Type};

#[hdl(outline_generated)]
pub struct S<T: Type> {
    pub a: T,
    b: UInt<3>,
}

#[hdl(outline_generated)]
pub enum E<T: Type> {
    A,
    B(UInt<3>),
    C(T),
}

#[hdl(outline_generated)]
pub struct S2<T: Type> {
    pub v: E<T>,
}
